OpenVDB 13.0.0

Loading...
Searching...
No Matches
AttributeCopyBase Struct Referenceabstract

`#include <openvdb_houdini/AttributeTransferUtil.h>`

Inheritance diagram for AttributeCopyBase:

## Public Types
using | Ptr = std::shared_ptr<AttributeCopyBase>

## Public Member Functions
virtual | ~AttributeCopyBase ()
virtual void | copy (GA_Offset, GA_Offset)=0
virtual void | copy (GA_Offset &, GA_Offset &, GA_Offset &, GA_Offset, const openvdb::Vec3d &)=0

## Protected Member Functions
| AttributeCopyBase ()

## Member Typedef Documentation

## ◆ Ptr

using Ptr = std::shared_ptr<AttributeCopyBase>

## Constructor & Destructor Documentation

## ◆ ~AttributeCopyBase()

virtual ~AttributeCopyBase | ( |  | ) |
| inline virtual

## ◆ AttributeCopyBase()

AttributeCopyBase | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ copy() [1/2]

virtual void copy | ( | GA_Offset & | ,
|  | GA_Offset & | ,
|  | GA_Offset & | ,
|  | GA_Offset | ,
|  | const openvdb::Vec3d & | )
| pure virtual

Implemented in AttributeCopy< ValueType >, and StrAttributeCopy.

## ◆ copy() [2/2]

virtual void copy | ( | GA_Offset | ,
|  | GA_Offset | )
| pure virtual

Implemented in AttributeCopy< ValueType >, and StrAttributeCopy.